Skip to content

Workspaces API ​

Workspace endpoints manage workspaces, members, and workspace avatar.

GET /api/workspaces ​

Returns list of workspaces available to current account.

Arguments: none.

Payload: none.

Response: WorkspaceViewShort[].

GET /api/workspaces/:fullname ​

Returns one workspace.

Arguments:

ArgumentLocationDescription
fullnamePathWorkspace fullname.

Payload: none.

Response: WorkspaceView.

PUT /api/workspaces/:fullname ​

Creates a new workspace or updates existing one.

Arguments:

ArgumentLocationDescription
fullnamePathWorkspace fullname. Must match payload.fullname.

Payload:

FieldRequiredDescription
fullnameYesWorkspace fullname.
createOnlyNoIf true, endpoint returns error if workspace already exists.
resetInviteNoRegenerate invite state.
tagsNoArray of tags.
labelsNoObject with string labels.
meta.titleNoVisible workspace title.
meta.avatarNoAvatar URL.

Response: WorkspaceView.

DELETE /api/workspaces/:fullname ​

Deletes workspace.

Arguments:

ArgumentLocationDescription
fullnamePathWorkspace fullname.

Payload: none.

Response: OperationResult.

POST /api/workspaces/:fullname/avatar ​

Uploads workspace avatar.

Arguments:

ArgumentLocationDescription
fullnamePathWorkspace fullname.

Payload:

FieldRequiredDescription
filenameYesOriginal filename.
contentTypeYesImage MIME type.
dataYesBase64 image data.

Response: HTTP 200 OK.

FieldRequiredDescription
urlYesUploaded avatar URL. The same value is stored in workspace.meta.avatar.
fileNameYesStored file name.
extensionYesFile extension.
sizeYesFile size in bytes.
workspaceYesUpdated WorkspaceView, including the new avatar metadata.

GET /api/workspaces/:workspace/acl ​

Returns list of workspace members/ACL entries.

Arguments:

ArgumentLocationDescription
workspacePathWorkspace fullname.

Payload: none.

Response: WorkspaceAclEntry[].

POST /api/workspaces/:workspace/acl ​

Creates invite or ACL entry.

Arguments:

ArgumentLocationDescription
workspacePathWorkspace fullname.

Payload:

FieldRequiredDescription
inviteYesInvite id/token.

Response: HTTP 204 No Content with an empty body.

PUT /api/workspaces/:workspace/acl/:entryId ​

Changes member role.

Arguments:

ArgumentLocationDescription
workspacePathWorkspace fullname.
entryIdPathACL entry id.

Payload:

FieldRequiredDescription
levelYesOne of owner, admin, developer, user.

Response: HTTP 204 No Content with an empty body.

DELETE /api/workspaces/:workspace/acl/:entryId ​

Deletes member/ACL entry.

Arguments:

ArgumentLocationDescription
workspacePathWorkspace fullname.
entryIdPathACL entry id.

Payload: none.

Response: OperationResult.